<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.gpsboot.mapper.TfYwpnInspectdevicetempWMapper">

  <resultMap id="tfYwpnInspectdevicetempWMap" type="com.tofly.pojo.plan.TfYwpnInspectdevicetempW">
                <id property="id" column="ID"/>
                      <result property="planId" column="PLAN_ID"/>
                      <result property="planChildId" column="PLAN_CHILD_ID"/>
                      <result property="sid" column="SID"/>
                      <result property="layerId" column="LAYER_ID"/>
                      <result property="layerName" column="LAYER_NAME"/>
                      <result property="annex" column="ANNEX"/>
                      <result property="remark" column="REMARK"/>
                      <result property="inspectTime" column="INSPECT_TIME"/>
                      <result property="status" column="STATUS"/>
                      <result property="createUser" column="CREATE_USER"/>
                      <result property="createTime" column="CREATE_TIME"/>
                      <association property="createUserName"  column="CREATE_USER" select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getRealName" ></association>
  </resultMap>


                                                              
</mapper>
